Debian Bug report logs - #638815
ITP: ruby-dust -- gem that provides additional features on top of the Test::Unit core.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Mon, 22 Aug 2011 07:00:01 UTC

Owned by: Praveen Arimbrathodiyil <pravi.a@gmail.com>

Severity: wishlist

Fixed in version ruby-dust/0.1.7-1

Done: Praveen Arimbrathodiyil <pravi.a@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Mon, 22 Aug 2011 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 07:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP -- ruby-dust - gem that provides additional features on top of the Test::Unit core.
Date: Mon, 22 Aug 2011 12:26:28 +0530
Package: wnpp
Owner: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Severity: wishlist


* Package name    : ruby-dust
  Version         : 0.1.6
  Upstream Author : Jay Fields
* URL             : http://dust.rubyforge.org/
* License         : Ruby License
  Programming Lang: Ruby
  Description     : gem that provides additional features on top of
the Test::Unit core.

Praveen

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Mon, 22 Aug 2011 07:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 07:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 638815@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638815@bugs.debian.org
Subject: test case is failing with 1.9.1
Date: Mon, 22 Aug 2011 12:51:40 +0530
I get the following error with ruby 1.9.1, all tests pass with ruby
1.8. Can anyone help me to fix it?

/usr/bin/ruby1.9.1 -I/usr/lib/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
Running tests for ruby1.9.1 with test file list from
debian/ruby-test-files.yaml ...
:helper_method
/tmp/buildd/ruby-dust-0.1.6/test/failing_with_setup_unit_test.rb:11:in
`<top (required)>': shouldn't be here (RuntimeError)
       from <internal:lib/rubygems/custom_require>:29:in `require'
       from <internal:lib/rubygems/custom_require>:29:in `require'
       from /tmp/buildd/ruby-dust-0.1.6/test/all_tests.rb:1:in `block in
<top (required)>'
       from /tmp/buildd/ruby-dust-0.1.6/test/all_tests.rb:1:in `each'
       from /tmp/buildd/ruby-dust-0.1.6/test/all_tests.rb:1:in `<top
(required)>'
       from <internal:lib/rubygems/custom_require>:29:in `require'
       from <internal:lib/rubygems/custom_require>:29:in `require'
       from -e:1:in `block in <main>'
       from -e:1:in `each'
       from -e:1:in `<main>'
ERROR: Test "ruby1.9.1" failed. Exiting.


-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Mon, 22 Aug 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 638815@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638815@bugs.debian.org
Subject: test cases are failing with ruby 1.9.1
Date: Mon, 22 Aug 2011 14:13:02 +0530
reported it as bug upstream,
http://rubyforge.org/tracker/index.php?func=detail&aid=29361&group_id=4056&atid=15594

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Sun, 28 Aug 2011 11:12:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Sun, 28 Aug 2011 11:12:50 GMT) Full text and rfc822 format available.

Message #20 received at 638815@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638815@bugs.debian.org
Subject: Contacted upstream author for help
Date: Sun, 28 Aug 2011 16:28:23 +0530
[Message part 1 (text/plain, inline)]
Used email given at blog.jayfields.com (got this address from README).
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Sat, 03 Sep 2011 08:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Sat, 03 Sep 2011 08:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 638815@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638815@bugs.debian.org
Subject: Dan Manges offered to help
Date: Sat, 3 Sep 2011 14:21:38 +0530
upstream developer Dan Manges offered to look into this issue.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Added indication that bug 638815 blocks 622684 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Sat, 03 Sep 2011 08:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638815; Package wnpp. (Mon, 02 Jan 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 02 Jan 2012 13:09:08 GMT) Full text and rfc822 format available.

Message #32 received at 638815@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638815@bugs.debian.org
Subject: bug fixed, package is being prepared.
Date: Mon, 2 Jan 2012 18:37:33 +0530
Shane Harvie fixed an upstream bug which was blocking this packaging.
Now preparing a new package.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Changed Bug title to 'ITP: ruby-dust -- gem that provides additional features on top of the Test::Unit core.' from 'ITP -- ruby-dust - gem that provides additional features on top of the Test::Unit core.' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:39:52 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 19:06:09 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <pravi.a@gmail.com>:
You have taken responsibility. (Sun, 15 Jan 2012 22:21:19 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Sun, 15 Jan 2012 22:21:19 GMT) Full text and rfc822 format available.

Message #41 received at 638815-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <pravi.a@gmail.com>
To: 638815-close@bugs.debian.org
Subject: Bug#638815: fixed in ruby-dust 0.1.7-1
Date: Sun, 15 Jan 2012 22:19:30 +0000
Source: ruby-dust
Source-Version: 0.1.7-1

We believe that the bug you reported is fixed in the latest version of
ruby-dust, which is due to be installed in the Debian FTP archive:

ruby-dust_0.1.7-1.debian.tar.gz
  to main/r/ruby-dust/ruby-dust_0.1.7-1.debian.tar.gz
ruby-dust_0.1.7-1.dsc
  to main/r/ruby-dust/ruby-dust_0.1.7-1.dsc
ruby-dust_0.1.7-1_all.deb
  to main/r/ruby-dust/ruby-dust_0.1.7-1_all.deb
ruby-dust_0.1.7.orig.tar.gz
  to main/r/ruby-dust/ruby-dust_0.1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <pravi.a@gmail.com> (supplier of updated ruby-dust package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 02 Jan 2012 18:11:37 +0530
Source: ruby-dust
Binary: ruby-dust
Architecture: source all
Version: 0.1.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Description: 
 ruby-dust  - Dust allows an alternative test definintion syntax
Closes: 638815
Changes: 
 ruby-dust (0.1.7-1) unstable; urgency=low
 .
   * Initial release (Closes: #638815)
   * Thanks to Shane Harvie for upstream fix.
Checksums-Sha1: 
 17b73b8eb5fd49fa30977b161ba30b15ff62cb63 2012 ruby-dust_0.1.7-1.dsc
 03e8fd2e87ed69d5ef54fe6a4f007c9200d04566 3981 ruby-dust_0.1.7.orig.tar.gz
 6ff48e7661cd57d0f3839b748511d3e3a415ad9b 2474 ruby-dust_0.1.7-1.debian.tar.gz
 0d72c46896398bdaa8288d2ed8ca98876046ce2b 4982 ruby-dust_0.1.7-1_all.deb
Checksums-Sha256: 
 32811f2603c2e361139d01a195b7a26bb1ae88397028fe15e746fadc86ec98f7 2012 ruby-dust_0.1.7-1.dsc
 b02b117abe90d2c3c04ca5de96be401d7b9d0f7574bf78460100dbaa9acf1b10 3981 ruby-dust_0.1.7.orig.tar.gz
 aac4c84a94b7a60ff48a6fcd193c3bf96e3fdf2cd09d63983bde59882e2be6c2 2474 ruby-dust_0.1.7-1.debian.tar.gz
 48a50c2cd729ae9e9ae9385c734d6f1e06a425f42fe12546e52a128e3aacdf93 4982 ruby-dust_0.1.7-1_all.deb
Files: 
 a39391abb5c4e9c6d68291c7ebb84f1d 2012 ruby optional ruby-dust_0.1.7-1.dsc
 4e50857cf74b2ff5630e11b0cae3f97f 3981 ruby optional ruby-dust_0.1.7.orig.tar.gz
 76b575fb7b430efc170fe47c37b7b992 2474 ruby optional ruby-dust_0.1.7-1.debian.tar.gz
 cff8f623632079037cb3784bf761ff51 4982 ruby optional ruby-dust_0.1.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPEbPBAAoJEGc6A+TB25IfwV4P/RR3c4z7smlJ/lk1NhUcYbxa
nWolIj0/wR1PQpnr2jZXtKPuzt9wOokg/ftLEgBF6CU6olJ/sSve2X9s/UuYyuvh
Ij9bZ4GViox6OhPNP4p6adaagvQXMl9YeXW/c7un9gQj+P1VROGnpChVVGSjkFBn
whcqkZ8/VBcR+/2mMSXizvinT93SawwtmqJLhwQGIEFzYxWlu8evK1Bbbnho+mny
xDm8ESdtw1tsk7zvzAflDGybYR/Nx19S99Yh2PpBMjmJou9DqEtBGlPs3HazXMJY
xbEcRzQbR+U/JqSOMF3Sp5DifDo4m0W2+vetrBkk4Pu8Up2uIkEj5+qTNxyc/sHQ
nh390bxYsk3h/LU8M2PTyl97qWNpVqF3oDEEgavwzRKn291jiMe36Us1KPf8YNDy
4I0SE1vTeWf7K39XLBE9TUslEV27z4ovQRjPyrs8vHR9k9ZpB8i7YbbSHZ/wCLZo
h5sZ2i7Gg7dGzIgqmfTYydTkfilovLzh8+eVSj9t/3JGKemPi6tkSnahbUnsF23S
cIpSQ1Kc1BZcE2xLMv/WBHG/u7FG7LwsUNzBjm99YT3bLXk0VNf/VC5yQDSnR3Re
kYpBAAhssnqMlAOKX6uR8C7Fhnu5WWPHGI0BFNwjjMJL7gpNHciGO+hcR5EF8U/f
DPink8ef5m7dbJnsXpgc
=OZ8p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 07:32:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:05:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.